diff options
author | Phil Edwards <pme@gcc.gnu.org> | 2003-04-29 23:48:52 +0000 |
---|---|---|
committer | Phil Edwards <pme@gcc.gnu.org> | 2003-04-29 23:48:52 +0000 |
commit | e1bff39ade9b141cdfc4b164a67a70f6f51e3fd1 (patch) | |
tree | a42d794f8c2a29131577243ac4fc7c56182b22af | |
parent | b3d627e251760957416f6508d69c7a0572ac9b8c (diff) | |
download | gcc-e1bff39ade9b141cdfc4b164a67a70f6f51e3fd1.zip gcc-e1bff39ade9b141cdfc4b164a67a70f6f51e3fd1.tar.gz gcc-e1bff39ade9b141cdfc4b164a67a70f6f51e3fd1.tar.bz2 |
mainpage.html: Bring up to date.
2003-04-29 Phil Edwards <pme@gcc.gnu.org>
* docs/doxygen/mainpage.html: Bring up to date.
* docs/doxygen/run_doxygen: Cosmetic tweaks. Work around a bug
in Doxygen.
* docs/doxygen/user.cfg.in: Scanning the precompiled headers
breaks everything. Don't scan them.
* docs/html/documentation.html: Point to "Write after approval"
notes.
From-SVN: r66270
-rw-r--r-- | libstdc++-v3/ChangeLog | 10 | ||||
-rw-r--r-- | libstdc++-v3/docs/doxygen/mainpage.html | 13 | ||||
-rw-r--r-- | libstdc++-v3/docs/doxygen/run_doxygen | 16 | ||||
-rw-r--r-- | libstdc++-v3/docs/doxygen/user.cfg.in | 6 | ||||
-rw-r--r-- | libstdc++-v3/docs/html/documentation.html | 2 |
5 files changed, 30 insertions, 17 deletions
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog index 679562d..6bbba24 100644 --- a/libstdc++-v3/ChangeLog +++ b/libstdc++-v3/ChangeLog @@ -1,5 +1,15 @@ 2003-04-29 Phil Edwards <pme@gcc.gnu.org> + * docs/doxygen/mainpage.html: Bring up to date. + * docs/doxygen/run_doxygen: Cosmetic tweaks. Work around a bug + in Doxygen. + * docs/doxygen/user.cfg.in: Scanning the precompiled headers + breaks everything. Don't scan them. + * docs/html/documentation.html: Point to "Write after approval" + notes. + +2003-04-29 Phil Edwards <pme@gcc.gnu.org> + * acinclude.m4 (GLIBCPP_ENABLE_CLOCALE): Search for gettext outside of libc if message translations are being used. Fix info text in xieee_1003.1-2001 case. diff --git a/libstdc++-v3/docs/doxygen/mainpage.html b/libstdc++-v3/docs/doxygen/mainpage.html index f205d5f..9f9b554 100644 --- a/libstdc++-v3/docs/doxygen/mainpage.html +++ b/libstdc++-v3/docs/doxygen/mainpage.html @@ -23,7 +23,7 @@ <h1>libstdc++-v3 Source Documentation</h1> -<h2> Documentation Overview </h2> +<h2>Documentation Overview</h2> <p class="smallertext">@LEVEL@-level docs, generated @DATE@.</p> @@ -48,6 +48,7 @@ <ul> <li><a href="annotated.html">Compound List</a> <li><a href="classes.html">Alphabetical List</a> + <li><a href="namespaces.html">Namespace List</a> <li><a href="files.html">File List</a> <li><a href="modules.html">Modules</a> </ul> @@ -81,16 +82,6 @@ href="http://gcc.gnu.org/onlinedocs/libstdc++/17_intro/C++STYLE">C++STYLE</a>. make sure that the initial formatting is sound. </p> -<p>The formatting guidelines for using libstdc++-v3 with doxygen are still - incomplete. There seems to be a marginal preference for the use of - Java-Doc style formatting, with the idea that the single-line style - (triple-slash) is the least intrusive mechanism for getting libstdc++-v3 - documented and cross-referenced while at the same time minimizing - disruption to the current formatting. Full documentation of functions - (parameter types, return values, etc) will require the slash-splat-splat - "extended C" commenting style. -</p> - <h2> Full page index </h2> <p>Here are entry points to all the pages generated by Doxygen: <ul> diff --git a/libstdc++-v3/docs/doxygen/run_doxygen b/libstdc++-v3/docs/doxygen/run_doxygen index 5813b31..248625a 100644 --- a/libstdc++-v3/docs/doxygen/run_doxygen +++ b/libstdc++-v3/docs/doxygen/run_doxygen @@ -131,7 +131,6 @@ test $do_man = yes && { chmod -R u+w $outdir/man/man3/ext } -set -e ( set -e cd $builddir @@ -147,13 +146,15 @@ set -e $doxygen ${outdir}/${mode}.cfg echo :: Finished, exit code was $? ) -set +e +ret=$? +test $ret -ne 0 && exit $ret test $do_html = yes && { + cd ${outdir}/html_${mode} sed -e "s=@LEVEL@=${LEVELtext}=" \ -e "s=@DATE@=${DATEtext}=" \ - ${srcdir}/docs/doxygen/mainpage.html > ${outdir}/html_${mode}/index.html - cd ${outdir}/html_${mode} + ${srcdir}/docs/doxygen/mainpage.html > index.html + # The following bit of line noise changes annoying # std::foo < typename _Ugly1, typename _Ugly2, .... _DefaultUgly17 > # to user-friendly @@ -161,6 +162,13 @@ test $do_html = yes && { # in the major "Compound List" page. sed -e 's=\(::[[:alnum:]_]*\)< .* >=\1=' annotated.html > annstrip.html mv annstrip.html annotated.html + + # Work around a bug in doxygen 1.3. + for f in class*html struct*html; do + sed '1,10s!^<title> Template!<title>Template !' $f > TEMP + mv TEMP $f + done + cp ${srcdir}/docs/doxygen/tables.html tables.html echo :: echo :: HTML pages begin with diff --git a/libstdc++-v3/docs/doxygen/user.cfg.in b/libstdc++-v3/docs/doxygen/user.cfg.in index f785f2b..a9644f7 100644 --- a/libstdc++-v3/docs/doxygen/user.cfg.in +++ b/libstdc++-v3/docs/doxygen/user.cfg.in @@ -383,7 +383,8 @@ RECURSIVE = YES # subdirectory from a directory tree whose root is specified with the INPUT tag. EXCLUDE = Makefile \ - CVS + CVS \ + stdc++.h.gch # The EXCLUDE_SYMLINKS tag can be used select whether or not files or directories # that are symbolic links (a Unix filesystem feature) are excluded from the input. @@ -396,7 +397,8 @@ EXCLUDE_SYMLINKS = NO EXCLUDE_PATTERNS = CVS \ stamp-* \ - Makefile + Makefile \ + *gch* # The EXAMPLE_PATH tag can be used to specify one or more files or # directories that contain example code fragments that are included (see diff --git a/libstdc++-v3/docs/html/documentation.html b/libstdc++-v3/docs/html/documentation.html index a0d2929..f1e2cd7 100644 --- a/libstdc++-v3/docs/html/documentation.html +++ b/libstdc++-v3/docs/html/documentation.html @@ -237,6 +237,8 @@ <ul> <li><a href="17_intro/contribute.html">Contributor checklist</a></li> <li><a href="17_intro/libstdc++-assign.txt">Copyright assignment form for libstdc++-v3</a></li> + <li><a href="http://gcc.gnu.org/cvswrite.html">Getting CVS write access + (look for "Write after approval")</a></li> <li><a href="17_intro/BADNAMES">BADNAMES</a> - names to avoid because of potential collisions</li> <li><a href="17_intro/C++STYLE">C++STYLE</a> |